diff --git a/app/fin/schemas/bill_schema.go b/app/fin/schemas/bill_schema.go
index 6a6a70d987f2006378eb923a8b6d5a1b00761c6e..4861cc38a17ee99b9d984dd4f952476b323c6ee4 100644
--- a/app/fin/schemas/bill_schema.go
+++ b/app/fin/schemas/bill_schema.go
@@ -6,16 +6,16 @@ import (
 
 // FinBillListReq [财务]-收银台-账单列表参数
 type FinBillListReq struct {
-	BillType     string   `form:"billType" json:"billType"`           // 账单类型(0:能源,1:公摊水,2:公摊电,3:公摊燃气,4:公摊附加,5:分摊水,6:分摊电,7:分摊燃气)
-	RegionId     uint     `form:regionId" json:"regionId"`            // 顶级区域ID
-	RegionName   string   `form:regionName" json:"regionName"`        // 顶级区域名
-	AreaId       uint     `form:areaId" json:"areaId"`                // 区域ID
+	BillType     string   `form:"billType" json:"billType"`           // 账单类型(0:能源电,1:能源水,2:能源气,3:公摊水,4:公摊电,5:公摊燃气,6:公摊附加,7:分摊水,8:分摊电,9:分摊燃气)
+	RegionId     uint     `form:"regionId" json:"regionId"`           // 顶级区域ID
+	RegionName   string   `form:"regionName" json:"regionName"`       // 顶级区域名
+	AreaId       uint     `form:"areaId" json:"areaId"`               // 区域ID
 	AreaName     string   `form:"areaName" json:"areaName"`           // 区域名
 	HouseId      uint     `form:"houseId" json:"houseId"`             // 房间ID
 	HouseName    string   `form:"houseName" json:"houseName"`         // 房间名
-	DeviceId     uint     `form:"deviceId" json:"deviceId“`           // 设备ID
-	DeviceName   string   `form:"deviceName" json:"deviceName“`       // 设备名
-	Address      string   `form:"address" json:"address“`             // 设备地址
+	DeviceId     uint     `form:"deviceId" json:"deviceId"`           // 设备ID
+	DeviceName   string   `form:"deviceName" json:"deviceName"`       // 设备名
+	Address      string   `form:"address" json:"address"`             // 设备地址
 	OwnerId      uint     `form:"ownerId" json:"ownerId"`             // 业主ID
 	OwnerName    string   `form:"ownerName" json:"ownerName"`         // 业主名
 	FeeName      string   `form:"feeName" json:"feeName"`             // 费用名称
@@ -39,46 +39,46 @@ type FinBillDetailReq struct {
 
 // FinBillAddReq [财务]-收银台-账单新增参数
 type FinBillAddReq struct {
-	BillType        string    `form:billType" json:"billType"`             // 账单类型(0:能源,1:公摊水,2:公摊电,3:公摊燃气,4:公摊附加,5:分摊水,6:分摊电,7:分摊燃气)
-	RegionId        uint      `form:regionId" json:"regionId"`             // 顶级区域ID
-	RegionName      string    `form:regionName" json:"regionName"`         // 顶级区域名
-	AreaId          uint      `form:areaId" json:"areaId“`                 // 区域ID
-	AreaName        string    `form:"areaName" json:"areaName“`            // 区域名
-	HouseId         uint      `form:"houseId" json:"houseId“`              // 房间ID
-	HouseName       string    `form:"houseName" json:"houseName“`          // 房间名
-	DeviceId        uint      `form:"deviceId" json:"deviceId“`            // 设备ID
-	DeviceName      string    `form:"deviceName" json:"deviceName“`        // 设备名
-	Address         string    `form:"address" json:"address“`              // 设备地址
-	OwnerId         uint      `form:"ownerId" json:"ownerId“`              // 业主ID
-	OwnerName       string    `form:"ownerName" json:"ownerName“`          // 业主名
-	FeeName         string    `form:"feeName" json:"feeName“`              // 费用名称
-	StartDate       time.Time `form:"startDate" json:"startDate“`          // 费用区间(开始时间)
-	EndDate         time.Time `form:"endDate" json:"endDate“`              // 费用区间(结束时间)
-	BillAmount      float64   `form:"billAmount" json:"billAmount“`        // 账单金额
-	UnpaidAmount    float64   `form:"unpaidAmount" json:"unpaidAmount“`    // 未缴金额
-	PaidAmount      float64   `form:"paidAmount" json:"paidAmount“`        // 已缴金额
-	LateAmount      float64   `form:"lateAmount" json:"lateFee“`           // 滞纳金
-	ReductionAmount float64   `form:"reductionAmount" json:"reductionFee“` // 减免金额
-	UsageTotal      float64   `form:"usageTotal" json:"usageTotal“`        // 用量
-	UsageStart      float64   `form:"usageStart" json:"usageStart“`        // 起始用量
-	UsageEnd        float64   `form:"usageEnd" json:"usageEnd“`            // 结束用量
-	FinTime         time.Time `form:"finTime" json:"finTime“`              // 财务时间
-	EcsTime         time.Time `form:"ecsTime" json:"ecsTime“`              // 能耗公摊时间
+	BillType        string    `form:"billType" json:"billType"`            // 账单类型(0:能源电,1:能源水,2:能源气,3:公摊水,4:公摊电,5:公摊燃气,6:公摊附加,7:分摊水,8:分摊电,9:分摊燃气)
+	RegionId        uint      `form:"regionId" json:"regionId"`            // 顶级区域ID
+	RegionName      string    `form:"regionName" json:"regionName"`        // 顶级区域名
+	AreaId          uint      `form:"areaId" json:"areaId"`                // 区域ID
+	AreaName        string    `form:"areaName" json:"areaName"`            // 区域名
+	HouseId         uint      `form:"houseId" json:"houseId"`              // 房间ID
+	HouseName       string    `form:"houseName" json:"houseName"`          // 房间名
+	DeviceId        uint      `form:"deviceId" json:"deviceId"`            // 设备ID
+	DeviceName      string    `form:"deviceName" json:"deviceName"`        // 设备名
+	Address         string    `form:"address" json:"address"`              // 设备地址
+	OwnerId         uint      `form:"ownerId" json:"ownerId"`              // 业主ID
+	OwnerName       string    `form:"ownerName" json:"ownerName"`          // 业主名
+	FeeName         string    `form:"feeName" json:"feeName"`              // 费用名称
+	StartDate       time.Time `form:"startDate" json:"startDate"`          // 费用区间(开始时间)
+	EndDate         time.Time `form:"endDate" json:"endDate"`              // 费用区间(结束时间)
+	BillAmount      float64   `form:"billAmount" json:"billAmount"`        // 账单金额
+	UnpaidAmount    float64   `form:"unpaidAmount" json:"unpaidAmount"`    // 未缴金额
+	PaidAmount      float64   `form:"paidAmount" json:"paidAmount"`        // 已缴金额
+	LateAmount      float64   `form:"lateAmount" json:"lateFee"`           // 滞纳金
+	ReductionAmount float64   `form:"reductionAmount" json:"reductionFee"` // 减免金额
+	UsageTotal      float64   `form:"usageTotal" json:"usageTotal"`        // 用量
+	UsageStart      float64   `form:"usageStart" json:"usageStart"`        // 起始用量
+	UsageEnd        float64   `form:"usageEnd" json:"usageEnd"`            // 结束用量
+	FinTime         time.Time `form:"finTime" json:"finTime"`              // 财务时间
+	EcsTime         time.Time `form:"ecsTime" json:"ecsTime"`              // 能耗公摊时间
 }
 
 // FinBillEditReq [财务]-收银台-账单新增参数
 type FinBillEditReq struct {
-	Id              uint    `form:"id"`                        // 主键
-	FeeName         string  `form:"feeName"`                   // 费用名称
-	UnpaidAmount    float64 `form:"unpaidAmount"`              // 未缴金额
-	PaidAmount      float64 `form:"paidAmount"`                // 已缴金额
-	LateAmount      float64 `form:"lateAmount"`                // 滞纳金
-	ReductionAmount float64 `form:"reductionAmount"`           // 减免金额
-	UsageTotal      float64 `form:"usageTotal"`                // 用量
-	UsageStart      float64 `form:"usageStart"`                // 起始用量
-	UsageEnd        float64 `form:"usageEnd"`                  // 结束用量
-	PayState        string  `form:"payState" json:"payState"`  // 支付状态(0:未支付,1:已支付)
-	OnAccount       string  `form:"onAccount" json:"payState"` // 是否挂账(0:否,1:是)
+	Id              uint    `form:"id"`                         // 主键
+	FeeName         string  `form:"feeName"`                    // 费用名称
+	UnpaidAmount    float64 `form:"unpaidAmount"`               // 未缴金额
+	PaidAmount      float64 `form:"paidAmount"`                 // 已缴金额
+	LateAmount      float64 `form:"lateAmount"`                 // 滞纳金
+	ReductionAmount float64 `form:"reductionAmount"`            // 减免金额
+	UsageTotal      float64 `form:"usageTotal"`                 // 用量
+	UsageStart      float64 `form:"usageStart"`                 // 起始用量
+	UsageEnd        float64 `form:"usageEnd"`                   // 结束用量
+	PayState        string  `form:"payState" json:"payState"`   // 支付状态(0:未支付,1:已支付)
+	OnAccount       string  `form:"onAccount" json:"onAccount"` // 是否挂账(0:否,1:是)
 }
 
 // FinBillDelReq [财务]-收银台-账单新增参数
@@ -101,8 +101,15 @@ type FinBillReductionReq struct {
 // FinBillResp [财务]-收银台-账单返回信息
 type FinBillResp struct {
 	Id              uint      `json:"id" structs:"id"`                                   // 主键
+	AreaId          uint      `json:"areaId" structs:"areaId"`                           // 区域ID
+	AreaName        string    `json:"areaName" structs:"areaName"`                       // 区域名
+	HouseId         uint      `json:"houseId" structs:"houseId"`                         // 房间ID
 	HouseName       string    `json:"houseName" structs:"houseName"`                     // 房间名
-	Address         string    `json:"-"`                                                 // 设备地址
+	HouseArea       float64   `json:"houseArea" structs:"houseArea"`                     // 房间面积
+	DeviceId        uint      `json:"deviceId" structs:"deviceId"`                       // 设备ID
+	DeviceName      string    `json:"deviceName" structs:"deviceName"`                   // 设备名
+	Address         string    `json:"address" structs:"address"`                         // 设备地址
+	MeterType       string    `json:"meterType" structs:"meterType"`                     // 设备类型
 	FeeName         string    `json:"-"`                                                 // 费用名称
 	FeeNameTip      string    `json:"feeNameTip"`                                        // 费用名称提示
 	FeeRange        string    `json:"feeRange"`                                          // 费用区间
@@ -123,10 +130,10 @@ type FinBillResp struct {
 
 // FinBillManulResp [财务]-收银台-手动账单返回信息
 type FinBillManulResp struct {
-	BillType        string    `json:"billType" structs:"billType"`                                 // 账单类型(0:能源,1:公摊水,2:公摊电,3:公摊燃气,4:公摊附加,5:分摊水,6:分摊电,7:分摊燃气)
-	RegionId        uint      `form:regionId" json:"regionId"`                                     // 顶级区域ID
-	RegionName      string    `form:regionName" json:"regionName"`                                 // 顶级区域名
-	AreaId          uint      `json:areaId" structs:"areaId"`                                      // 区域ID
+	BillType        string    `json:"billType" structs:"billType"`                                 // 账单类型(0:能源电,1:能源水,2:能源气,3:公摊水,4:公摊电,5:公摊燃气,6:公摊附加,7:分摊水,8:分摊电,9:分摊燃气)
+	RegionId        uint      `form:"regionId" json:"regionId"`                                    // 顶级区域ID
+	RegionName      string    `form:"regionName" json:"regionName"`                                // 顶级区域名
+	AreaId          uint      `json:"areaId" structs:"areaId"`                                     // 区域ID
 	AreaName        string    `json:"areaName" structs:"areaName"`                                 // 区域名
 	HouseId         uint      `json:"houseId" structs:"houseId"`                                   // 房间ID
 	HouseName       string    `json:"houseName" structs:"houseName"`                               // 房间名
@@ -135,8 +142,8 @@ type FinBillManulResp struct {
 	DeviceName      string    `json:"deviceName" structs:"deviceName"`                             // 设备名
 	Address         string    `json:"address" structs:"address"`                                   // 设备地址
 	MeterType       string    `json:"meterType" structs:"meterType"`                               // 设备类型
-	OwnerId         uint      `json:"ownerId", structs:"ownerId"`                                  // 业主ID
-	OwnerName       string    `json:"ownerName", structs:"ownerName"`                              // 业主名
+	OwnerId         uint      `json:"ownerId" structs:"ownerId"`                                   // 业主ID
+	OwnerName       string    `json:"ownerName" structs:"ownerName"`                               // 业主名
 	FeeName         string    `json:"feeName" structs:"feeName"`                                   // 费用名称
 	StartDate       time.Time `json:"startDate" form:"startDate" structs:"startDate"`              // 费用区间(开始时间)
 	EndDate         time.Time `json:"endDate" form:"endDate" structs:"endDate"`                    // 费用区间(结束时间)
@@ -149,6 +156,8 @@ type FinBillManulResp struct {
 	UsageStart      float64   `json:"usageStart,omitempty" form:"usageStart" structs:"usageStart"` // 起始用量
 	UsageEnd        float64   `json:"usageEnd,omitempty" form:"usageEnd" structs:"usageEnd"`       // 结束用量
 	FinTime         time.Time `json:"finTime,omitempty" structs:"finTime"`                         // 财务时间
+	BillingMethod   string    `json:"billingMethod" structs:"billingMethod"`                       // 计费方式(0:单一,1:月周期,2:年周期,3:四费率,4:五费率)
+	StepFee         string    `json:"stepFee" structs:"stepFee"`                                   // 阶梯费用
 	RetCode         string    `json:"retCode"`                                                     // 错误码
 	RetDesc         string    `json:"retDesc"`                                                     // 错误描述
 }
@@ -228,9 +237,9 @@ type FinBillNoticeResp struct {
 
 // FinBillStatsResp [财务]-业主收银台统计返回信息
 type FinBillStatsResp struct {
-	RegionId     uint              `form:regionId" json:"regionId"`             // 顶级区域ID
-	RegionName   string            `form:regionName" json:"regionName"`         // 顶级区域名
-	AreaId       uint              `json:areaId" structs:"areaId"`              // 区域ID
+	RegionId     uint              `form:"regionId" json:"regionId"`            // 顶级区域ID
+	RegionName   string            `form:"regionName" json:"regionName"`        // 顶级区域名
+	AreaId       uint              `json:"areaId" structs:"areaId"`             // 区域ID
 	AreaName     string            `json:"areaName" structs:"areaName"`         // 区域名
 	HouseId      uint              `json:"houseId" structs:"houseId"`           // 房间ID
 	HouseName    string            `json:"houseName" structs:"houseName"`       // 房间名
diff --git a/app/fin/schemas/common_scheme.go b/app/fin/schemas/common_scheme.go
index ea5349e30f560f473d73ed7dbc8ea95297e92545..c9d3c30c24ed76de2d26d5d3ec5613d39fadd992 100644
--- a/app/fin/schemas/common_scheme.go
+++ b/app/fin/schemas/common_scheme.go
@@ -138,9 +138,10 @@ type RegionDeviceItem struct {
 	RegionId     uint   `json:"regionId" structs:"regionId" label:"顶级节点ID"`
 	RegionName   string `json:"regionName" structs:"regionName" label:"顶级节点名称"`
 	AreaId       uint   `json:"areaId" structs:"areaId" label:"区域ID"`
-	AreaName     string `json:"areaName" structs:"areaName" label:"区域ID"`
+	AreaName     string `json:"areaName" structs:"areaName" label:"区域名"`
 	DeviceId     uint   `json:"deviceId" structs:"deviceId" label:"设备ID"`
 	DeviceName   string `json:"deviceName" structs:"deviceName" label:"设备名称"`
+	Address      string `json:"address" structs:"address" label:"设备地址"`
 	RelationType string `json:"relationType" structs:"relationType" label:"关系类型"`
 }
 
@@ -208,19 +209,21 @@ type HouseDeviceItem struct {
 }
 
 type HouseInfo struct {
-	RegionId   uint              `json:"regionId" structs:"regionId" label:"顶级节点ID"`
-	RegionName string            `json:"regionName" structs:"regionName" label:"顶级节点名称"`
-	AreaId     uint              `json:"areaId" structs:"areaId" label:"区域ID"`
-	AreaName   string            `json:"areaName" structs:"areaName" label:"区域名"`
-	HouseId    uint              `form:"houseId" json:"houseId" label:"房屋ID"`                // 房屋ID
-	HouseName  string            `form:"houseName" json:"houseName" label:"房屋名称"`            // 房屋名称
-	BuildArea  float64           `form:"buildArea" json:"buildArea" label:"建筑面积"`            // 建筑面积
-	UsageArea  float64           `form:"usageArea" json:"usageArea" label:"使用面积"`            // 使用面积
-	TollArea   float64           `form:"tollArea" json:"tollArea" label:"总面积"`               // 总面积
-	CommonArea float64           `form:"commonArea" json:"commonArea" label:"公共面积"`          // 公共面积
-	Content    string            `form:"content" json:"content" struct:"content" label:"参数"` // 参数
-	Devices    []HouseDeviceItem `form:"devices" json:"devices" label:"设备列表"`                // 设备列表
-	UsageTotal float64           `form:"usageTotal" json:"usageTotal" label:"设备列表"`          // 能耗
+	RegionId    uint              `json:"regionId" structs:"regionId" label:"顶级节点ID"`
+	RegionName  string            `json:"regionName" structs:"regionName" label:"顶级节点名称"`
+	AreaId      uint              `json:"areaId" structs:"areaId" label:"区域ID"`
+	AreaName    string            `json:"areaName" structs:"areaName" label:"区域名"`
+	HouseId     uint              `form:"houseId" json:"houseId" label:"房屋ID"`                // 房屋ID
+	HouseName   string            `form:"houseName" json:"houseName" label:"房屋名称"`            // 房屋名称
+	BuildArea   float64           `form:"buildArea" json:"buildArea" label:"建筑面积"`            // 建筑面积
+	UsageArea   float64           `form:"usageArea" json:"usageArea" label:"使用面积"`            // 使用面积
+	TollArea    float64           `form:"tollArea" json:"tollArea" label:"总面积"`               // 总面积
+	CommonArea  float64           `form:"commonArea" json:"commonArea" label:"公共面积"`          // 公共面积
+	Content     string            `form:"content" json:"content" struct:"content" label:"参数"` // 参数
+	Devices     []HouseDeviceItem `form:"devices" json:"devices" label:"设备列表"`                // 设备列表
+	UsageTotal  float64           `form:"usageTotal" json:"usageTotal" label:"设备列表"`          // 能耗
+	MoveInTime  int64             `form:"moveInTime" json:"moveInTime" label:"迁入日期"`          // 迁入日期
+	MoveOutTime int64             `form:"moveOutTime" json:"moveOutTime" label:"迁出日期"`        // 迁出日期
 }
 
 type GeneratedReq struct {
@@ -232,3 +235,11 @@ type GeneratedReq struct {
 	HouseIds   []uint    `form:"houseIds" json:"houseIds" structs:"houseIds"`                                      // 房屋ID
 	OwnerId    uint      `form:"ownerId" json:"ownerId" structs:"ownerId"`                                         // 业主ID
 }
+
+type PushDeviceItem struct {
+	HouseId    uint      `json:"houseId" structs:"houseId" label:"房屋ID"`
+	DeviceId   uint      `json:"deviceId" structs:"deviceId" label:"设备ID"`
+	DeviceType string    `json:"deviceType" structs:"deviceType" label:"设备类型"`
+	StartDay   time.Time `json:"startDay" form:"startDay" structs:"startDay" time_format:"2006-01-02"` // 开始时间
+	EndDay     time.Time `json:"endDay" form:"endDay" structs:"endDay" time_format:"2006-01-02"`       // 结束时间
+}
